Orangear\BusinessIntelligence\Domain\Model\Platform\Command\CreatePlatformCommand:

  group_sequence:
    - CreatePlatformCommand
    - Existence

  properties:
    name:
      - NotBlank:
          message: 'platform.name.not_blank'

      - Length:
          min: 4
          max: 45
          minMessage: 'platform.name.too_short'
          minMessage: 'platform.name.too_long'

      - Orangear\Common\Validator\Constraints\Alnum:
          message: 'platform.name.regex_failed'

      - Orangear\BusinessIntelligence\Domain\Model\Platform\Validator\Constraints\UniquePlatformConstraint:
          groups: [Existence]
          message: 'platform.name.already_exists'